Skip to main content
POST
Verify Telegram account linking

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json

Verify Response

state
string

Temporary auth state generated by the SDK; native mobile apps may append _client-redirect:

Maximum string length: 1200
Pattern: ^[A-Za-z0-9_-]{1,64}(_client-redirect:[A-Za-z0-9_:/?&=%.@#!$'()*+,;~\[\]-]{0,1024})?$
Example:

"aB3cD9fG0hJkLmN0pQrStUvWxYz_12-"

telegramAuthToken
string

JWT Auth Token coming from Telegram Bot containing user information

forceCreateUser
boolean

Force create a user for Telegram Auto Login

code
string

Temporary auth code for oauth2 access

sessionPublicKey
string
Pattern: ^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

captchaToken
string

When provided, used to verify that a captcha is valid and get the success/failure result from the captcha provider server-side.

Response

Verify Success

user
object
required
expiresAt
number
required

Format is a unix-based timestamp. When set, this will be the expiration timestamp on the JWT sent using either the jwt field or a response httpOnly cookie set by the server.

Example:

"1715620310"

mfaToken
string

Token used to continue multi-factor authentication flow

jwt
string

Encoded JWT token. This will only be returned when cookie-based authentication is disabled in favor of standard Auth header based authentication.

Example:

"jwt_value"

minifiedJwt
string

Encoded JWT token. This will only be returned when cookie-based authentication is disabled in favor of standard Auth header based authentication.

Example:

"jwt_value"

elevatedAccessToken
string

Encoded JWT token for elevated access. This will only be returned when requestedScopes are requested.

Example:

"jwt_value"

Last modified on July 24, 2026